DH_MAKESHLIBS(1)

NOMBRE
dh_makeshlibs - Crea automáticamente el fichero «shlibs» e invoca dpkg-gensymbols

SINOPSIS
dh_makeshlibs [opciones-de-debhelper] [-mmayor] [-V[dependencias]] [-n] [-Xelemento] [-- parámetros]

DESCRIPCIÓN
dh_makeshlibs es un programa de debhelper que busca automáticamente bibliotecas compartidas, y genera un fichero de bibliotecas compartidas «shlibs» para las bibliotecas que encuentra.

It will also ensure that ldconfig is invoked during install and removal when it finds shared libraries. Since debhelper 9.20151004, this is done via a dpkg trigger. In older versions of debhelper, dh_makeshlibs would generate a maintainer script for this purpose.

FICHEROS

debian/package.shlibs
    Installs this file, if present, into the package as DEBIAN/shlibs. If omitted, debhelper will generate a shlibs file automatically if it detects any libraries.

    Note in compat levels 9 and earlier, this file was installed by dh_installdeb(1) rather than dh_makeshlibs.

debian/paquete.symbols
debian/paquete.symbols.arquitectura
    De existir, estos ficheros de símbolos se introducen a dpkg-gensymbols(1) para su procesado e instalación. Use el nombre específico de la arquitectura si desea proporcionar diferentes ficheros de símbolos para diferentes arquitecturas.

OPCIONES

-mmayor, --major=mayor
    En lugar de intentar averiguar el número mayor de la biblioteca utilizando objdump, utiliza el número mayor especificado después del parámetro «-m. Esto es mucho menos útil de lo que era antiguamente cuando este programa buscaba los nombres de fichero de las bibliotecas en lugar de utilizar objdump.

-V, -Vdependencias
--version-info, --version-info=dependencias
    Por omisión, el fichero «shlibs» generado por este programa no hace que los paquetes dependan de alguna versión particular del paquete que contiene la biblioteca compartida. Podría ser necesario que añada alguna información de dependencia de versión al fichero «shlibs». Si especifica -V sin información de dependencia, la versión actual del desarrollador principal del paquete es conectada con una dependencia de la forma nombre_de_paquete (>= versión_de_paquete). Tenga en cuenta que en los niveles de compatibilidad de debhelper anteriores a v4 también se incluye la parte de Debian del número de versión del paquete. Si especifica -V con parámetros, los parámetros se pueden utilizar para especificar la información de dependencia exacta requerida (asegúrese de incluir el nombre del paquete).

    Tenga cuidado al utilizar -V sin ningún parámetro; ésta es una configuración conservadora que siempre asegura que las dependencias de bibliotecas compartidas de otros paquetes son al menos lo más pequeñas que necesitan ser (a menos que su biblioteca sea propensa a cambiar el ABI sin actualizar el número de versión del desarrollador principal), de modo que si el desarrollador las malogra éstas no se romperán. Por otro lado los paquetes podrían terminar con dependencias muy rigurosas que harían difícil su actualización.

-n, --no-scripts
    Do not add the "ldconfig" trigger even if it seems like the package might need it. The option is called --no-scripts for historical reasons as dh_makeshlibs would previously generate maintainer scripts that called ldconfig.

-Xelemento, --exclude=elemento
    No trata como bibliotecas compartidas ficheros que contienen elemento en cualquier lugar de su nombre.

--add-udeb=udeb
    Crea una línea adicional para paquetes udeb en el fichero «shlibs», y utiliza udeb como el nombre del paquete sobre el que dependen paquetes udeb, en lugar del paquete de biblioteca habitual.

-- parámetros
    Introduce los parámetros a dpkg-gensymbols(1).

EJEMPLOS

dh_makeshlibs
    Asumiendo que este es un paquete llamado f<libfoobar1>, genera un fichero «shlibs» similar a esto:
     libfoobar 1 libfoobar1

dh_makeshlibs -V
    Asumiendo que la versión actual del paquete es 1.1-3, genera un fichero «shlibs» similar a esto:
     libfoobar 1 libfoobar1 (>= 1.1)

dh_makeshlibs -V 'libfoobar1 (>= 1.0)'
    Genera un fichero «shlibs» similar a esto:
      libfoobar 1 libfoobar1 (>= 1.0)

VÉASE TAMBIÉN
debhelper(7)

Este programa es parte de debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUCTOR
Traducci�n de Rudy Godoy <debian-l10n-spanish@lists.debian.org> Actualizaci�n de Omar Campagne Polaino